<?php

use CodeIgniter\Router\RouteCollection;

/**
 * @var RouteCollection $routes
 */
// Routes pour l'arbre de Noel
$routes->get('ArbreNoel', 'ArbreNoelController::acceuil');
$routes->get('ArbreNoel/authentification', 'ArbreNoelController::authentification');
$routes->get('ArbreNoel/statistique', 'ArbreNoelController::statistique');
$routes->get('ArbreNoel/enfant', 'ArbreNoelController::enfant');
$routes->get('ArbreNoel/inscriptionEnfant', 'ArbreNoelController::inscriptionEnfant');
$routes->post('ArbreNoel/connection', 'ArbreNoelController::connection');
$routes->post('ArbreNoel/inscription', 'ArbreNoelController::inscription');
$routes->get('ArbreNoel/admin', 'ArbreNoelController::admin');
$routes->get('ArbreNoel/modificationEnfant/(:num)', 'ArbreNoelController::modificationEnfant/$1');
$routes->get('ArbreNoel/modifier/(:num)', 'ArbreNoelController::modifier/$1');
$routes->post('ArbreNoel/supprimer/(:num)', 'ArbreNoelController::supprimer/$1');
// Fin pour l'Arbre de Noel

// Routes pour l'admin pour les evenements

$routes->get('/', 'EvenementController::evenement');
$routes->post('connection', 'EvenementController::connection');
$routes->get('authentification', 'EvenementController::authentification');
$routes->get('admin', 'EvenementController::admin');
$routes->get('statistique', 'EvenementController::statistique');
$routes->get('ajoutEvent', 'EvenementController::ajoutEvent');
$routes->post('ajEvenement', 'EvenementController::ajEvenement');
$routes->get('totalEvenement', 'EvenementController::totalEvenement');
$routes->post('recherche', 'EvenementController::recherche');


$routes->get('AssiseDaara', 'AssiseDaaraController::acceuil');
$routes->get('AssiseDaara/contribution', 'AssiseDaaraController::contribution');
$routes->get('AssiseDaara/infos', 'AssiseDaaraController::infos');
$routes->post('AssiseDaara/ajContribution', 'AssiseDaaraController::ajContribution');
$routes->get('AssiseDaara/statistique', 'AssiseDaaraController::statistique');
$routes->get('AssiseDaara/jsonstatistique', 'AssiseDaaraController::jsonstatistique');
$routes->get('AssiseDaara/jsoncontribution', 'AssiseDaaraController::jsoncontribution');


